Package com.smartgwt.client.types

# Enum OperatorValueType

java.lang.Object
java.lang.Enum<OperatorValueType>
com.smartgwt.client.types.OperatorValueType

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<OperatorValueType>`, `Constable`

public enum OperatorValueType extends Enum<OperatorValueType> implements ValueEnum
Indicates the kind of value expected in a `Criterion` that uses this operator.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CRITERIA`
  `Criterion.criteria` should be an Array of criteria (used for logical operators like "and").
  `CUSTOM`
  `Criterion.value` should contain a value which is not necessarily the same type as the field (used for regexp and similar operators).
  `FIELD_NAME`
  `Criterion.value` should be the name of another field in the record
  `FIELD_TYPE`
  `Criterion.value` should contain a value of the same type as the field.
  `NONE`
  no criterion.value or other setting required (used for operators like isBlank or isNull).
  `VALUE_RANGE`
  `Criterion.start` and `Criterion.end` should contain start and end values, both of the same type as the field.
  `VALUE_SET`
  `Criterion.value` should contain an Array of valid field values.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static OperatorValueType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static OperatorValueType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FIELD_TYPE

    public static final OperatorValueType FIELD_TYPE
    `Criterion.value` should contain a value of the same type as the field.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "fieldType".

  - ### FIELD_NAME

    public static final OperatorValueType FIELD_NAME
    `Criterion.value` should be the name of another field in the record

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "fieldName".

  - ### NONE

    public static final OperatorValueType NONE
    no criterion.value or other setting required (used for operators like isBlank or isNull).

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "none".

  - ### CRITERIA

    public static final OperatorValueType CRITERIA
    `Criterion.criteria` should be an Array of criteria (used for logical operators like "and").

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "criteria".

  - ### VALUE_RANGE

    public static final OperatorValueType VALUE_RANGE
    `Criterion.start` and `Criterion.end` should contain start and end values, both of the same type as the field.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "valueRange".

  - ### VALUE_SET

    public static final OperatorValueType VALUE_SET
    `Criterion.value` should contain an Array of valid field values.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "valueSet".

  - ### CUSTOM

    public static final OperatorValueType CUSTOM
    `Criterion.value` should contain a value which is not necessarily the same type as the field (used for regexp and similar operators). `Operator.editorType` can be specified as a FormItem to use to enter a value for the criterion.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "custom".

- ## Method Details

  - ### values

    public static OperatorValueType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static OperatorValueType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`